Bug 1748995 - [4.1.z] Must-gather does not collect information from the image registry
Summary: [4.1.z] Must-gather does not collect information from the image registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.z
Assignee: Adam Kaplan
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1748436
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-04 16:00 UTC by Adam Kaplan
Modified: 2019-09-26 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Image registry's cluster-operator did not register the openshift-image-registry namespace as a related object. Consequence: In some situations, no data from the image-registry or cluster-image-registry-operator would be collected from must-gather Fix: Ensure the openshift-image-registry namespace is always included in the cluster operator's related objects Result: Basic information from the openshift-image-registry namespace (pods, deployments, services, etc.) is always collected by must-gather
Clone Of: 1748436
Environment:
Last Closed: 2019-09-25 07:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 384 None None None 2019-09-09 18:10:54 UTC
Red Hat Product Errata RHBA-2019:2820 None None None 2019-09-25 07:28:01 UTC

Comment 2 Wenjing Zheng 2019-09-16 03:17:32 UTC
Verified on 4.1.0-0.nightly-2019-09-14-050039, information from image registry can be seen:
[wzheng@openshift-qe openshift-image-registry]$ ls
apps  apps.openshift.io  autoscaling  batch  build.openshift.io  core  image.openshift.io  openshift-image-registry.yaml  pods  route.openshift.io

Comment 4 errata-xmlrpc 2019-09-25 07:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2820


Note You need to log in before you can comment on or make changes to this bug.